# studio::WorkAreaRenderer Class Reference

`#include <workarearenderer.h>`

Inheritance diagram for studio::WorkAreaRenderer:

List of all members.

## Public Types

typedef etl::handle < WorkAreaRenderer > | Handle
typedef etl::loose_handle < WorkAreaRenderer > | LooseHandle

## Public Member Functions

sigc::signal< void > & | signal_changed ()
int | get_w () const
int | get_h () const
float | get_pw () const
float | get_ph () const
synfig::Point | screen_to_comp_coords (synfig::Point pos) const
| Converts screen coords (ie: pixels) to composition coordinates.
synfig::Point | comp_to_screen_coords (synfig::Point pos) const
| Converts composition coordinates to screen coords (ie: pixels).
| WorkAreaRenderer ()
virtual | ~WorkAreaRenderer ()
bool | get_enabled () const
int | get_priority () const
WorkArea * | get_work_area () const
void | set_enabled (bool x)
void | set_priority (int x)
void | set_work_area (WorkArea *work_area_)
virtual void | render_vfunc (const Glib::RefPtr< Gdk::Drawable > &window, const Gdk::Rectangle &expose_area)
virtual bool | event_vfunc (GdkEvent *event)
bool | operator< (const WorkAreaRenderer &rhs)

## Protected Member Functions

virtual bool | get_enabled_vfunc () const

## Member Typedef Documentation

typedef etl::handle<WorkAreaRenderer> studio::WorkAreaRenderer::Handle

typedef etl::loose_handle<WorkAreaRenderer> studio::WorkAreaRenderer::LooseHandle

## Constructor & Destructor Documentation

WorkAreaRenderer::WorkAreaRenderer | ( |  | ) |

WorkAreaRenderer::~WorkAreaRenderer | ( |  | ) | `[virtual]`

## Member Function Documentation

sigc::signal<void>& studio::WorkAreaRenderer::signal_changed | ( |  | ) | `[inline]`

Referenced by set_enabled(), and set_priority().

int WorkAreaRenderer::get_w | ( |  | ) | const

References studio::WorkArea::get_w(), and get_work_area().

Referenced by studio::Renderer_Canvas::render_vfunc().

int WorkAreaRenderer::get_h | ( |  | ) | const

References studio::WorkArea::get_h(), and get_work_area().

Referenced by studio::Renderer_Canvas::render_vfunc().

float WorkAreaRenderer::get_pw | ( |  | ) | const

References studio::WorkArea::get_pw(), and get_work_area().

Referenced by studio::Renderer_Guides::render_vfunc(), studio::Renderer_Grid::render_vfunc(), studio::Renderer_Ducks::render_vfunc(), studio::Renderer_Dragbox::render_vfunc(), studio::Renderer_Canvas::render_vfunc(), and studio::Renderer_BBox::render_vfunc().

float WorkAreaRenderer::get_ph | ( |  | ) | const

References studio::WorkArea::get_ph(), and get_work_area().

Referenced by studio::Renderer_Guides::render_vfunc(), studio::Renderer_Grid::render_vfunc(), studio::Renderer_Ducks::render_vfunc(), studio::Renderer_Dragbox::render_vfunc(), studio::Renderer_Canvas::render_vfunc(), and studio::Renderer_BBox::render_vfunc().

synfig::Point WorkAreaRenderer::screen_to_comp_coords | ( | synfig::Point | pos | ) | const

Converts screen coords (ie: pixels) to composition coordinates.

References get_work_area(), and studio::WorkArea::screen_to_comp_coords().

Referenced by studio::Renderer_Guides::event_vfunc().

synfig::Point WorkAreaRenderer::comp_to_screen_coords | ( | synfig::Point | pos | ) | const

Converts composition coordinates to screen coords (ie: pixels).

References studio::WorkArea::comp_to_screen_coords(), and get_work_area().

bool studio::WorkAreaRenderer::get_enabled | ( |  | ) | const`[inline]`

References get_enabled_vfunc().

int studio::WorkAreaRenderer::get_priority | ( |  | ) | const`[inline]`

WorkArea* studio::WorkAreaRenderer::get_work_area | ( |  | ) | const`[inline]`

Referenced by comp_to_screen_coords(), studio::Renderer_BBox::get_bbox(), studio::Renderer_Canvas::get_canceled(), studio::Renderer_Dragbox::get_curr_point(), studio::Renderer_Dragbox::get_drag_point(), studio::Renderer_Timecode::get_enabled_vfunc(), studio::Renderer_Guides::get_enabled_vfunc(), studio::Renderer_Grid::get_enabled_vfunc(), studio::Renderer_Dragbox::get_enabled_vfunc(), studio::Renderer_Canvas::get_full_frame(), studio::Renderer_Timecode::get_grid_size(), studio::Renderer_Grid::get_grid_size(), studio::Renderer_Guides::get_guide_list_x(), studio::Renderer_Guides::get_guide_list_y(), get_h(), get_ph(), get_pw(), studio::Renderer_Canvas::get_queued(), studio::Renderer_Canvas::get_refreshes(), studio::Renderer_Canvas::get_rendering(), studio::Renderer_Canvas::get_tile_book(), get_w(), studio::Renderer_Timecode::render_vfunc(), studio::Renderer_Guides::render_vfunc(), studio::Renderer_Grid::render_vfunc(), studio::Renderer_Ducks::render_vfunc(), studio::Renderer_Dragbox::render_vfunc(), studio::Renderer_Canvas::render_vfunc(), studio::Renderer_BBox::render_vfunc(), and screen_to_comp_coords().

void WorkAreaRenderer::set_enabled | ( | bool | x | ) |

References signal_changed().

void WorkAreaRenderer::set_priority | ( | int | x | ) |

References signal_changed().

void WorkAreaRenderer::set_work_area | ( | WorkArea * | work_area_ | ) |

void WorkAreaRenderer::render_vfunc | ( | const Glib::RefPtr< Gdk::Drawable > & | window,
|  | const Gdk::Rectangle & | expose_area |
| ) |  |  | `[virtual]`

Reimplemented in studio::Renderer_BBox, studio::Renderer_Canvas, studio::Renderer_Dragbox, studio::Renderer_Ducks, studio::Renderer_Grid, studio::Renderer_Guides, and studio::Renderer_Timecode.

bool WorkAreaRenderer::event_vfunc | ( | GdkEvent * | event | ) | `[virtual]`

Reimplemented in studio::Renderer_Guides.

bool WorkAreaRenderer::get_enabled_vfunc | ( |  | ) | const`[protected, virtual]`

Reimplemented in studio::Renderer_Dragbox, studio::Renderer_Grid, studio::Renderer_Guides, and studio::Renderer_Timecode.

Referenced by get_enabled().

bool studio::WorkAreaRenderer::operator< | ( | const WorkAreaRenderer & | rhs | ) | `[inline]`

References priority_.

The documentation for this class was generated from the following files:

- workarearenderer.h
- workarearenderer.cpp